All users were logged out of Bugzilla on October 13th, 2018

Use Template.html in the message theme system

RESOLVED WONTFIX

Status

--
trivial
RESOLVED WONTFIX
5 years ago
5 years ago

People

(Reporter: bugzilla, Unassigned)

Tracking

Details

(Reporter)

Description

5 years ago
*** Original post on bio 383 by patrickjdempsey <pjdkrunkt AT lycos.com> at 2010-03-16 02:17:00 UTC ***

Hovering the mouse cursor over the top left corner of the conversation window makes this small white box with an X in it appear.  It doesn't seem to do anything when I click on it.  It's just something to tidy up.
*** Original post on bio 383 at 2010-03-16 07:34:32 UTC ***

Isn't this part of a message theme installed as an add-on?
*** Original post on bio 383 at 2010-05-09 12:52:25 UTC ***

Do you have a certain message theme selected then? Would be nice to know with which one it happens so we can do something about it or if it doesn't occur anymore for whatever reason it would be nice to know as well to close this bug.

Thanks!
(Reporter)

Comment 3

5 years ago
*** Original post on bio 383 by patrickjdempsey <pjdkrunkt AT lycos.com> at 2010-05-19 21:04:39 UTC ***

I noticed it in my Stratini Instant theme which is based on the Bishop themes, but I'm not sure how many others have this problem.  It is part of the header, so it only happens when the header is turned on.
*** Original post on bio 383 at 2010-05-21 09:39:56 UTC ***

This kind of bugs with Adium message themes used in Instantbird happens when a theme relies on a modification of the Template.html file that Instantbird doesn't use.

In the specific case of the Bishop theme, there is this code inside Template.html, that Instantbird doesn't take into account:
	<script type="text/javascript">
	function handleParent(parentId)
		{
        myParent = document.getElementById("menu" + parentId)

        if (myParent.style.display=="none") {
                myParent.style.display="block"
        } else {
                myParent.style.display="none"
        }
	}
	</script>

Moving this code to the Footer.html (which is more appropriate for inserting new JavaScript code into the conversation area) is very likely to fix the theme.

There are lots of Adium themes that seem to rely on a 'handleParent' function being available. I've considered adding a function with the same effect by default in Instantbird conversations, but it's not clear if the reward (improving compatibility with several themes that share this problem) is worth the added mess (this function is by no mean an API that makes sense to provide if we want our theme system to be consistent).
*** Original post on bio 383 at 2012-02-16 15:43:19 UTC ***

Marking this as new and updating the title to better reflect the issue at hand.
Status: UNCONFIRMED → NEW
Ever confirmed: true
OS: Other → All
Hardware: x86 → All
Summary: Top left corner js:handleParent box appears on hover. → Use Template.html in the message theme system
*** Original post on bio 383 at 2012-02-16 16:08:08 UTC ***

Just to be clear, we definitely don't want to support Template.html. We've listed explicitly as something of the Adium theme system we won't support, and an Adium developers commented on our blog post announcing our message theme system:
"Glad to see you're not supporting custom Template.html files; that's been a thorn in our side for years."
(http://blog.instantbird.org/2009/07/instantbird-0-2-feature-preview-conversations-customization/comment-page-1/#comment-81)

The possible actions here are:
- nothing: these message themes are incompatible, it's not our fault.
- track and fix the affected converted message themes.
- integrate a handleParent function, as discussed in comment 4. I don't think it's a good thing to do.

Comment 7

5 years ago
*** Original post on bio 383 at 2012-06-29 21:21:52 UTC ***

(In reply to comment #6)
> - nothing: these message themes are incompatible, it's not our fault.
> - track and fix the affected converted message themes.
> - integrate a handleParent function, as discussed in comment 4. I don't think
> it's a good thing to do.

The first option seems the best to me. Anyone adapting a converted message style so it really works well will have to polish more subtle things than this anyway.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.